Skip to main content

Add disks to an aggregate

Adds disks to an existing aggregate. Use this to expand aggregate capacity for additional storage needs.

HTTP method and endpoint

POST /azure/ha/aggregates/{workingEnvironmentId}/{aggregateName}/disks

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

aggregateName

string

path

True

Request Body

Name Type Required Description

numberOfDisks

integer

True

Number of disks

Example request
{
  "numberOfDisks": 0
}

Error

Status: Default, Default response